Support » Plugin: Easy Table of Contents » Is compatible with Gutenberg?

  • Resolved alfrex92

    (@alfrex92)


    Hi, I have been using this extraordinary plugin for the past months and everything is working great.

    My only question is about WordPress 5.0.

    Is this plugin compatible with Gutenberg and WordPress 5.0?

    I am planning to update soon to version 5.0 so I would like to confirm.

    Thanks 😀

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Steven

    (@shazahm1hotmailcom)

    @alfrex92

    Well, I know it works fine for pages built using the classic editor in WP 4.9.x after updating to WP 5.0.

    I do not know if it will work without issue for pages built with the new block editor. I have not done any testing. But, that said, I do not really see any reason why it would not work. My one concern is that the block editor stores it’s layout data in the post content. If there is heading info for a block stored in that data, it might get parse as a valid page heading and either display the heading as a TOC item or perhaps break the page from rendering. Right now, I’m leaning towards there not being any issues, but, we’ll see in time.

    Hi,
    I am using Gutenberg (WP 5.0.3) and the theme “Pagebuilder Framework (PBFW) by David Vongries.
    I also worried a bit about how it will work. Now I can say: It works perfectly!
    Everything is fine and works as it was on my “old” sites.

    Great work! Thank you Steven.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Is compatible with Gutenberg?’ is closed to new replies.